STOFFFont Class Reference

Class to store font. More...

`#include <STOFFFont.hxx>`

## Public Member Functions

| STOFFFont ()
| constructor
| STOFFFont (STOFFFont const &)=default
| STOFFFont (STOFFFont &&)=default
STOFFFont & | operator= (STOFFFont const &)=default
STOFFFont & | operator= (STOFFFont &&)=default
| ~STOFFFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
int | cmp (STOFFFont const &font) const
| a comparison function
bool | operator== (STOFFFont const &font) const
| operator==
bool | operator!= (STOFFFont const &font) const
| operator!=
bool | operator< (STOFFFont const &font) const
| operator<

## Static Public Member Functions

static void | checkForDefault (librevenge::RVNGPropertyList &propList)
| check if the font name defined.

## Public Attributes

librevenge::RVNGPropertyList | m_propertyList
| the property list
STOFFColor | m_shadowColor
| the shadow color
bool | m_hyphen
| hyphen
bool | m_softHyphen
| soft hyphen
bool | m_hardBlank
| hard blank
bool | m_tab
| tab
bool | m_lineBreak
| line break

## Friends

std::ostream & | operator<< (std::ostream &o, STOFFFont const &font)
| operator<<

## Detailed Description

Class to store font.

## Constructor & Destructor Documentation

## STOFFFont() [1/3]

STOFFFont::STOFFFont | ( |  | ) |

inline

constructor

Referenced by cmp(), operator!=(), operator<(), operator<<, operator=(), operator=(), operator==(), STOFFFont(), and STOFFFont().

## STOFFFont() [2/3]

STOFFFont::STOFFFont | ( | STOFFFont const & |  | ) |

default

## STOFFFont() [3/3]

STOFFFont::STOFFFont | ( | STOFFFont && |  | ) |

default

## ~STOFFFont()

STOFFFont::~STOFFFont | ( |  | ) |

destructor

## Member Function Documentation

## addTo()

void STOFFFont::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## checkForDefault()

void STOFFFont::checkForDefault | ( | librevenge::RVNGPropertyList & | propList | ) |

static

check if the font name defined.

If not set Times

Referenced by STOFFGraphicListener::_openSpan(), STOFFSpreadsheetListener::_openSpan(), STOFFTextListener::_openSpan(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), and STOFFTextListener::defineStyle().

## cmp()

int STOFFFont::cmp | ( | STOFFFont const & | font | ) | const

a comparison function

Referenced by operator!=(), operator<(), and operator==().

## operator!=()

bool STOFFFont::operator!= | ( | STOFFFont const & | font | ) | const

inline

operator!=

## operator<()

bool STOFFFont::operator< | ( | STOFFFont const & | font | ) | const

inline

operator<

## operator=() [1/2]

STOFFFont & STOFFFont::operator= | ( | STOFFFont && |  | ) |

default

## operator=() [2/2]

STOFFFont & STOFFFont::operator= | ( | STOFFFont const & |  | ) |

default

## operator==()

bool STOFFFont::operator== | ( | STOFFFont const & | font | ) | const

inline

operator==

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFFont const & | font )

friend

operator<<

## Member Data Documentation

## m_hardBlank

bool STOFFFont::m_hardBlank

hard blank

Referenced by StarCharAttribute::StarCAttributeHardBlank::addTo(), cmp(), operator<<, StarObjectTextInternal::TextZone::send(), and STOFFFont().

## m_hyphen

bool STOFFFont::m_hyphen

hyphen

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), cmp(), operator<<, and STOFFFont().

## m_lineBreak

bool STOFFFont::m_lineBreak

line break

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), StarCharAttribute::StarCAttributeVoid::addTo(), cmp(), operator<<, StarObjectSmallTextInternal::Paragraph::send(), and STOFFFont().

## m_propertyList

librevenge::RVNGPropertyList STOFFFont::m_propertyList

the property list

Referenced by StarCharAttribute::StarCAttributeBool::addTo(), StarCharAttribute::StarCAttributeColor::addTo(), StarCharAttribute::StarCAttributeEscapement::addTo(), StarCharAttribute::StarCAttributeFont::addTo(), StarCharAttribute::StarCAttributeFontSize::addTo(), StarCharAttribute::StarCAttributeInt::addTo(), StarCharAttribute::StarCAttributeUInt::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), addTo(), cmp(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), operator<<, StarObjectNumericRuler::readLevel(), and STOFFFont().

## m_shadowColor

STOFFColor STOFFFont::m_shadowColor

the shadow color

Referenced by StarGraphicAttribute::StarGAttributeNamedColor::addTo(), addTo(), cmp(), operator<<, and STOFFFont().

## m_softHyphen

bool STOFFFont::m_softHyphen

soft hyphen

Referenced by StarCharAttribute::StarCAttributeVoid::addTo(), cmp(), operator<<, StarObjectTextInternal::TextZone::send(), and STOFFFont().

## m_tab

bool STOFFFont::m_tab

tab

Referenced by StarCharAttribute::StarCAttributeVoid::addTo(), cmp(), StarObjectSmallTextInternal::Paragraph::send(), and STOFFFont().

The documentation for this class was generated from the following files:

- STOFFFont.hxx
- STOFFFont.cxx